%define gamelibdir	%{_libdir}/games/%{name}

Name:		worldofpadman
Version:	1.6.2
Release:	%mkrel 1
Summary:	World Of Padman - Comic 3D-Shooter
Group:		Games/Shooter
License:	GPLv2+
URL:		https://worldofpadman.net/
Source0:	https://github.com/PadWorld-Entertainment/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
ExcludeArch:	%{ix86}
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(opus)
BuildRequires:	pkgconfig(opusfile)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(zlib)

Requires:	%{name}-data = %{version}


%description
World of Padman (WoP) is a first-person shooter computer game available in
both English and German. The idea is based on the Padman comic strip for the
magazine PlayStation Games created by the professional cartoon artist Andreas
'ENTE' Endres, who is also the man who made many of the maps included with the
game in 1998. Most of the maps in the game are Lilliput style.

%files
%{_gamesbindir}/%{name}
%dir %{gamelibdir}
%{gamelibdir}/*
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%{_datadir}/applications/*.desktop

#----------------------------------------------------------------

%package server
Group:		Games/Shooter
Summary:	Dedicated server for World of Padman
Requires:	%{name}-data => %{version}

%description server
This package contains the dedicated server for World of Padman.

%files server
%{gamelibdir}/wopded.*

#----------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{version}

sed -i 's|#include <opus.h>|#include <opus/opus.h>|' code/client/client.h
sed -i 's|#include <opusfile.h>|#include <opus/opusfile.h>|' code/client/snd_codec_opus.c

%build
%make_build \
	OPTIMIZE="$RPM_OPT_FLAGS -fno-strict-aliasing" \
	DEFAULT_BASEDIR=%{_gamesdatadir}/%{name}/ \
	BUILD_CLIENT=YES \
	BUILD_SERVER=YES \
	USE_INTERNAL_LIBS=0 \
	%ifnarch x86_64
	BUILD_RENDERER_VULKAN=0 \
	%endif
	NO_STRIP=1

%install
%make_build \
	copyfiles USE_INTERNAL_LIBS=0 \
	%ifnarch x86_64
	BUILD_RENDERER_VULKAN=0 \
	%endif
	NO_STRIP=1 \
	COPYDIR=%{buildroot}%{gamelibdir}

mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps

binary=`basename %{buildroot}%{gamelibdir}/wop.*`

install -d %{buildroot}%{_gamesbindir}
cat > %{buildroot}%{_gamesbindir}/%{name} <<EOF
#!/bin/sh
cd %{gamelibdir}
exec ./$binary \$*
EOF
chmod 755 %{buildroot}%{_gamesbindir}/%{name}

install -m 0644 misc/wop.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

cp %{SOURCE1} "%{buildroot}%{_datadir}/applications/"


%changelog
* Tue Feb 28 2023 daviddavid <daviddavid> 1.6.2-1.mga9
+ Revision: 1945695
- new version: 1.6.2 (mga#31608)
- switch to sdl2
- update Url

* Sat Apr 16 2022 umeabot <umeabot> 1.6-12.mga9.nonfree
+ Revision: 1850586
- Mageia 9 Mass Rebuild

* Fri Feb 21 2020 daviddavid <daviddavid> 1.6-11.mga8.nonfree
+ Revision: 1549133
- add upstream patch to add aarch64 support
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.6-10.mga7.nonfree
+ Revision: 1292040
- Mageia 7 Mass Rebuild

* Fri Jul 07 2017 tv <tv> 1.6-9.mga6.nonfree
+ Revision: 1109532
- revert previous bogus change & fix debuginfo

* Fri Jul 07 2017 daviddavid <daviddavid> 1.6-8.mga6.nonfree
+ Revision: 1109456
- disable debug package to fix build (workaround)
- add missing BR pkgconfig(speexdsp)
+ akien <akien>
- Mageia 6 rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6-7.mga5.nonfree
+ Revision: 739959
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6-6.mga5.nonfree
+ Revision: 690368
- Mageia 5 Mass Rebuild

* Thu Oct 31 2013 tmb <tmb> 1.6-5.mga4.nonfree
+ Revision: 548538
- Mageia 4 rebuild

* Wed Mar 06 2013 juancho <juancho> 1.6-4.mga3.nonfree
+ Revision: 401570
- Removed BR on worldofpadman-data

* Wed Mar 06 2013 juancho <juancho> 1.6-4.mga3
+ Revision: 401518
- Added build option DEFAULT_BASEDIR to fix bug #9245: the game can't find the game base dir

* Wed Feb 27 2013 juancho <juancho> 1.6-3.mga3
+ Revision: 400461
- Changed to use the WoP 1.6 engine instead of ioquake3 (along with the new worldofpadman-data package and not the autodownloader)

* Mon Jan 14 2013 umeabot <umeabot> 1.6-2.mga3
+ Revision: 385849
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 14 2012 juancho <juancho> 1.6-1.mga2
+ Revision: 208610
- Incomplete commit to update to 1.6
- Updated to 1.6
- Changed autodownloader title
- Updated download links, some of them were broken.
- Changed window title.

* Wed Dec 07 2011 juancho <juancho> 1.5-1.mga2
+ Revision: 178497
- Added missing BuildRequires: desktop-file-utils
- Use the %%{name} macro instead of name in some places
- imported package worldofpadman

